Page MenuHomePhabricator

Global Preferences: Wrong indention of settings when browser is zoomed
Closed, ResolvedPublic

Description

The settings are indented wrongly making Special:GlobalPreferences very ugly:

Browser: Chromium on Linux

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalPreferences : masterPrevent "staggered" checkbox fields at some font sizes / zoom levels

Event Timeline

Restricted Application added a project: Community-Tech. · View Herald TranscriptMar 21 2018, 10:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Looks okay at my end.

Do you have something in your common.js or global.js that's possibly causing this?
You can try by appending ?safemode=1 at the end of the URL to view it without external JS interfering with the extension code. So try this link.

MusikAnimal added a subscriber: MusikAnimal.EditedMar 21 2018, 11:57 PM

Do you have something in your common.js or global.js that's possibly causing this?

I don't think user scripts or CSS are executed on Special:Preferences or GlobalPreferences

Niharika added a comment.EditedMar 21 2018, 11:58 PM

I don't think user scripts or CSS are executed on Special:Preferences or GlobalPreferences

Oh, you're probably right. Hmm. Not sure what's happening then.

@MichaelSchoenitzer Where are you seeing this? Which wiki?

I'm seeing it on mediawiki.org with my Workaccount "User:Michael Schönitzer (WMDE)". Accurs also with ?safemode=1.

Checked again: It happens also with a completely blank user-account (no settings or anything). Happens only with Chromium not with Firefox. Using Chromium version 65

I think this is another example of the vagaries of form element rendering on different systems. If the height of the globalprefs checkbox is more than the height of its preference field, the staggering will occur. The trouble is that the heights of those things are not always calculated by the browser in the same way.

I think the fix is to put a min-height on the form field, probably 1.5em. Or a height on the globalprefs checkbox and a matching slightly larger min-height on the field.

Samwilson seems right. If I zoom in or out (Ctr-+ / Ctr--) it works. On 80% it's broken again.

TBolliger added a subscriber: TBolliger.

If there's a simple fix we should take this into our next sprint.

TBolliger renamed this task from Global Preferences: Wrong indention of settings to Global Preferences: Wrong indention of settings when browser is zoomed.Mar 28 2018, 11:37 PM

Not a release blocker.

Change 446381 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/GlobalPreferences@master] Prevent "staggered" checkbox fields at some font sizes / zoom levels

https://gerrit.wikimedia.org/r/446381

Change 446381 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Prevent "staggered" checkbox fields at some font sizes / zoom levels

https://gerrit.wikimedia.org/r/446381

Niharika assigned this task to matmarex.Jul 17 2018, 7:02 PM
matmarex closed this task as Resolved.Jul 18 2018, 12:14 AM
matmarex removed a project: Patch-For-Review.